## wdune-1.876.tar.bz2

=== Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

dune:
	cd src && $(MAKE) $$DUNEMAKEFLAGS

configure: configure.in
	autoconf

clean:
	rm -f config.cache config.log config.status configure.lineno confdefs.h 
	rm -rf autom4te.cache ii_files
	rm -f test/dune_selftest
	cd src && $(MAKE) clean
	cd packager && $(MAKE) clean
	cd docs/export_example_c && $(MAKE) clean
	cd docs/export_example_c++ && $(MAKE) clean
	cd docs/export_example_java && $(MAKE) clean
	rm -f desktop/macosx/Droplet-Applet/build/Droplet-Applet.build/Droplet-Applet.build/Objects-normal/ppc/main.o
	find . -name nohup.out -type f -print | xargs rm -f
	find . -name typescript -type f -print | xargs rm -f
	find . -name '.dune_preview_*.html' | xargs rm -f
	find . -name snap.rgb -type f -print | xargs rm -f
	find . -name core -type f -print | xargs rm -f
	find . -name 'core.[0-9]*' -type f -print | xargs rm -f
	find . -name dune.core -type f -print | xargs rm -f
	find . -name 'vgcore.[0-9]*' -type f -print | xargs rm -f
	find . -name '.afpDeleted*' -type f -print | xargs rm -f
	find . -name '._*' -print | xargs rm -f
	rm -rf conf[0-9]* NONE

realclean: clean
	rm -rf desktop/macosx/white_dune.app
	rm -f bin/dune bin/efencedune bin/dumadune bin/png2PixelTexture
	rm -f bin/dune.exe bin/efencedune.exe bin/dumadune.exe
	rm -f confdefs.h
	cd src && $(MAKE) realclean
	cd docs/developer_docs && make realclean 
	cd test && $(MAKE) realclean
	cd warbird && $(MAKE) clean
	find . -name '_xlk' -print | xargs rm -rf
	find . -name 'Makefile.bak' -print | xargs rm -f
	find . -name '.dune_preview_*' -print | xargs rm -f
	find . -name '.dune_textedit_*' -print | xargs rm -f
	find . -name '.dune_ecmascript_*' -print | xargs rm -f
	find . -name '.dune_shaderprogram_*' -print | xargs rm -f
	find . -name '.dune_upload_*' -print | xargs rm -f
	find . -name '.gdb_history' -print | xargs rm -f
	find . -name '.xvpics' -print | xargs rm -rf
	find . -name 'Untitled*.wrl' -print | grep -v "export" | xargs rm -f
	find . -name 'Untitled*.wrl,v' -print | xargs rm -f
	find . -name 'Untitled*.x3d' -print | xargs rm -f
	find . -name 'Untitled*.x3d,v' -print | xargs rm -f
	find . -name 'Untitled*.x3dv' -print | xargs rm -f
	find . -name 'Untitled*.x3dv,v' -print | xargs rm -f
	find . -name 'Untitled*.html' -print | xargs rm -f
	find . -name 'PureVrmlExport*.wrl' -print | xargs rm -f
	find . -name 'PureVrmlExport*.wrl,v' -print | xargs rm -f
	find . -name 'X3domExport*.html' -print | xargs rm -f
	find . -name 'X3domExport*.html,v' -print | xargs rm -f
	find . -name 'Ac3dExport*.ac' -print | xargs rm -f
	find . -name 'RibExport*.rib' -print | xargs rm -f
	find . -name 'Untitled*.rib' -print | xargs rm -f
	find . -name 'Untitled*.tif' -print | xargs rm -f
	find . -name 'Untitled*.mp4' -print | xargs rm -f
	find . -name '*.tx' -print | xargs rm -f
	find . -name 'ri.pic' -print | xargs rm -f
	find . -name 'divx2pass.log' -print | xargs rm -f
	find . -name 'divx2pass.log.mbtree' -print | xargs rm -f
	find . -name 'C++Export*.cc' -print | xargs rm -f
	find . -name 'LdrawExport*.dat' -print | xargs rm -f
	find . -name 'KanimExport*.wrl' -print | xargs rm -f
	find . -name 'KanimExport*.wrl,v' -print | xargs rm -f
	find . -name 'KanimExport*.kanim' -print | xargs rm -f
	find . -name 'Untitled*.x3dv' -print | xargs rm -f
	find . -name 'Untitled*.x3dv,v' -print | xargs rm -f
	find . -name 'Untitled*.x3d' -print | xargs rm -f
	find . -name 'Untitled*.x3d,v' -print | xargs rm -f
	find . -name 'Untitled*.html' -print | xargs rm -f
	find . -name 'gmon.out' -print | xargs rm -rf
	find . -name '*.gcno' -print | xargs rm -f
	find . -name '*.gcda' -print | xargs rm -f

tar.bz2:
	sh batch/mktarbz2.sh

tar.gz:
	sh batch/mktargz.sh

documentation:
	cd docs/developer_docs && $(MAKE)

selftest:
	cd test && $(MAKE) $$DUNEMAKEFLAGS

fastselftest:
	cd test && $(MAKE) $$DUNEMAKEFLAGS fasttests

debian:
	sh batch/makedebian.sh

debianclean:
	rm -rf build
	rm -rf debian

install:
	(cd src && make install)

# DO NOT DELETE

=== packager/Makefile ===
clean:
	(cd archlinux && make clean)
	(cd slackware && make clean)
	(cd snap && make clean)

=== src/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = gcc
CXX = g++
RANLIB = /bin/ranlib 
CXXCPP = g++ -E
YACC = bison -y
LEX = flex --nounistd
AWK = gawk
PREFIX = /usr/local
EXEC_PREFIX = ${prefix}
GREP_FLAGS = --binary-files=text

RESOURCE_FILES = dune.english.rc singleResources.rc dune.french.rc dune.german.rc dune.italian.rc dune.portuguese.rc

LIBEFENCE_A = 
EFENCE_EXTRA_LIBS = 

LIBDUMA_A = 
DUMA_EXTRA_LIBS = 

LD_OPTIONS = 

EGREP_PROBLEMS = no

# gcc Warning flags (a lot of -Wno- comes from vcglib usage)
# WARNINGS = -Wall -D_FORTIFY_SOURCE=2 -Werror -Wno-error=strict-overflow \
#            -Wno-error=unused-function -Wno-error=ignored-attributes \
#            -Wno-error=deprecated-declarations -Wno-ignored-attributes \
#            -Wno-deprecated-declarations -Wno-misleading-indentation \
#            -Wno-error=int-in-bool-context -Wno-error=sign-compare \
#            -Wno-sign-compare -Wno-error=nonnull-compare

# IRIX cc flags
# WARNINGS = -woff 3303
# LFLAGS = -woff 1167 -woff 1110 -woff 3322

# use -DYYDEBUG=1 for yacc/bison debugging 
#(also change int yydebug = 1; in parser.cpp)

CPPFLAGS= -I. -Iswt/include  -I/usr/include/vcglib -I/usr/include/eigen3  -I/usr/include/freetype2 -I/usr/include/libpng16  -I/usr/include/ffmpeg/   -I/usr/X11R6/include/ -I/usr/X11R6/LessTif/Motif1.2/include -I/usr/local/include -I/usr/local/include
COMMON_FLAGS = $(WARNINGS) -I. -Iswt/include  -I/usr/include/vcglib -I/usr/include/eigen3  -I/usr/include/freetype2 -I/usr/include/libpng16  -I/usr/include/ffmpeg/   -I/usr/X11R6/include/ -I/usr/X11R6/LessTif/Motif1.2/include -I/usr/local/include -I/usr/local/include 
CFLAGS_BIG = -g $(COMMON_FLAGS)  -fopenmp  -fopenmp
CFLAGS = $(COMMON_FLAGS)  -fopenmp
CXXFLAGS = -g $(COMMON_FLAGS)  -fopenmp
LIBS =   -L/usr/local/lib -L/usr/local/lib -g -Lswt/lib -lswt -LSDLjoystick  -lusb -ljpeg -lpng -lz -lexpat -lGLU -lGL -lcurl -lXi -lXm -lXp -lXext -lXt -lXmu -lX11 -lm -ldl -lgomp   -L/usr/local/lib  -L/usr/X11R6/LessTif/Motif1.2/lib -losdCPU 
NEBULA = 
PARSER_CPP_CFLAG = 

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $<

NODECLASSES = \
        NodeAnchor.o \
	NodeAppearance.o \
	NodeAudioClip.o \
	NodeArc2D.o \
	NodeArcClose2D.o \
	NodeBackground.o \
	NodeBallJoint.o \
	NodeBillboard.o \
        NodeBlendedVolumeStyle.o \
	NodeBooleanFilter.o \
	NodeBooleanSequencer.o \
	NodeBooleanToggle.o \
	NodeBooleanTrigger.o \
        NodeBoundaryEnhancementVolumeStyle.o \
        NodeBoundedPhysicsModel.o \
	NodeBox.o \
        NodeCADAssembly.o \
        NodeCADFace.o \
        NodeCADLayer.o \
        NodeCADPart.o \
        NodeCartoonVolumeStyle.o \
	NodeCircle2D.o \
	NodeClipPlane.o \
        NodeCollidableShape.o \
        NodeCollidableOffset.o \
	NodeCollision.o \
        NodeCollisionCollection.o \
        NodeCollisionSensor.o \
        NodeCollisionSpace.o \
	NodeColor.o \
        NodeColorChaser.o \
        NodeColorDamper.o \
	NodeColorRGBA.o \
	NodeColorInterpolator.o \
        NodeCommonSurfaceShader.o \
        NodeComposedCubeMapTexture.o \
        NodeComposedShader.o \
        NodeComposedTexture3D.o \
        NodeComposedVolumeStyle.o \
	NodeCone.o \
        NodeConeEmitter.o \
	NodeContact.o \
	NodeContour2D.o \
	NodeContourPolyline2D.o \
	NodeCoordinate.o \
        NodeCoordinateChaser.o \
        NodeCoordinateDamper.o \
	NodeCoordinateDeformer.o \
	NodeCoordinateDouble.o \
	NodeCoordinateInterpolator.o \
	NodeCoordinateInterpolator2D.o \
	NodeCylinder.o \
	NodeCylinderSensor.o \
        NodeDISEntityManager.o \
        NodeDISEntityTypeMapping.o \
	NodeDirectionalLight.o \
	NodeDisk2D.o \
        NodeDoubleAxisHingeJoint.o \
        NodeEaseInEaseOut.o \
	NodeElevationGrid.o \
        NodeEspduTransform.o \
        NodeExplosionEmitter.o \
	NodeExtrusion.o \
        NodeFillProperties.o \
        NodeFloatVertexAttribute.o \
	NodeFog.o \
        NodeFogCoordinate.o \
	NodeFontStyle.o \
        NodeForcePhysicsModel.o \
	NodeGeoCoordinate.o \
	NodeGeoElevationGrid.o \
        NodeGeoMetadata.o \
        NodeGeoLocation.o \
        NodeGeoLOD.o \
        NodeGeoPositionInterpolator.o \
        NodeGeoProximitySensor.o \
        NodeGeoOrigin.o \
        NodeGeoTouchSensor.o \
        NodeGeoTransform.o \
        NodeGeoViewpoint.o \
        NodeGeneratedCubeMapTexture.o \
	NodeGroup.o \
        NodeHAnimDisplacer.o \
        NodeHAnimHumanoid.o \
        NodeHAnimJoint.o \
        NodeHAnimSegment.o \
        NodeHAnimSite.o \
        NodeImageCubeMapTexture.o \
	NodeImageTexture.o \
        NodeImageTexture3D.o \
	NodeIndexedLineSet.o \
        NodeIndexedQuadSet.o \
	NodeIndexedTriangleFanSet.o \
	NodeIndexedTriangleSet.o \
	NodeIndexedTriangleStripSet.o \
	NodeInline.o \
        NodeInlineLoadControl.o \
	NodeIntegerSequencer.o \
	NodeIntegerTrigger.o \
        NodeKeySensor.o \
        NodeLayer.o \
        NodeLayerSet.o \
        NodeLayout.o \
        NodeLayoutGroup.o \
        NodeLayoutLayer.o \
        NodeLinePickSensor.o \
        NodeLineProperties.o \
        NodeLineSet.o \
        NodeLoadSensor.o \
        NodeLocalFog.o \
	NodeLOD.o \
	NodeMaterial.o \
        NodeMatrix3VertexAttribute.o \
        NodeMatrix4VertexAttribute.o \
        NodeMetadataBoolean.o \
	NodeMetadataDouble.o \
	NodeMetadataFloat.o \
	NodeMetadataInteger.o \
	NodeMetadataSet.o \
	NodeMetadataString.o \
        NodeMotorJoint.o \
	NodeMultiTexture.o \
	NodeMultiTextureCoordinate.o \
	NodeMultiTextureTransform.o \
	NodeNavigationInfo.o \
	NodeNormal.o \
	NodeNormalInterpolator.o \
	NodeNurbsCurve.o \
	NodeNurbsCurve2D.o \
	NodeNurbsGroup.o \
	NodeNurbsOrientationInterpolator.o \
	NodeNurbsPositionInterpolator.o \
	NodeNurbsSet.o \
	NodeNurbsSurface.o \
	NodeNurbsSurfaceInterpolator.o \
        NodeNurbsSweptSurface.o \
        NodeNurbsSwungSurface.o \
        NodeNurbsTextureCoordinate.o \
	NodeNurbsTextureSurface.o \
        NodeNurbsTrimmedSurface.o \
        NodeOrientationChaser.o \
        NodeOrientationDamper.o \
	NodeOrientationInterpolator.o \
        NodeOrthoViewpoint.o \
        NodePackagedShader.o \
        NodeParticleSystem.o \
        NodePickableGroup.o \
	NodePixelTexture.o \
        NodePixelTexture3D.o \
	NodePlaneSensor.o \
        NodePointEmitter.o \
	NodePointLight.o \
        NodePointPickSensor.o \
	NodePointSet.o \
	NodePolyline2D.o \
        NodePolylineEmitter.o \
	NodePolypoint2D.o \
        NodePositionChaser.o \
        NodePositionChaser2D.o \
        NodePositionDamper.o \
        NodePositionDamper2D.o \
	NodePositionInterpolator.o \
	NodePositionInterpolator2D.o \
        NodePrimitivePickSensor.o \
        NodeProgramShader.o \
        NodeProjectionVolumeStyle.o \
	NodeProximitySensor.o \
        NodeQuadSet.o \
        NodeReceiverPdu.o \
	NodeRectangle2D.o \
        NodeRigidBody.o \
        NodeRigidBodyCollection.o \
        NodeScalarChaser.o \
        NodeScalarDamper.o \
	NodeScalarInterpolator.o \
        NodeScreenFontStyle.o \
        NodeScreenGroup.o \
	NodeScript.o \
        NodeShaderPart.o \
        NodeShaderProgram.o \
	NodeShape.o \
        NodeSignalPdu.o \
        NodeSingleAxisHingeJoint.o \
        NodeSliderJoint.o \
	NodeSound.o \
	NodeSphere.o \
	NodeSphereSensor.o \
        NodeSplinePositionInterpolator.o \
        NodeSplinePositionInterpolator2D.o \
        NodeSplineScalarInterpolator.o \
	NodeSpotLight.o \
        NodeSquadOrientationInterpolator.o \
	NodeStaticGroup.o \
	NodeStringSensor.o \
        NodeSurfaceEmitter.o \
	NodeSwitch.o \
        NodeTexCoordChaser2D.o \
        NodeTexCoordDamper2D.o \
	NodeText.o \
	NodeTextureBackground.o \
	NodeTextureCoordinate.o \
        NodeTextureCoordinate3D.o \
        NodeTextureCoordinate4D.o \
	NodeTextureCoordinateGenerator.o \
	NodeTextureProperties.o \
	NodeTextureTransform.o \
        NodeTextureTransform3D.o \
        NodeTextureTransformMatrix3D.o \
	NodeTimeSensor.o \
        NodeTimeTrigger.o \
	NodeTouchSensor.o \
	NodeTransform.o \
        NodeTransformSensor.o \
        NodeTransmitterPdu.o \
        NodeTriangleFanSet.o \
        NodeTriangleSet.o \
        NodeTriangleSet2D.o \
        NodeTriangleStripSet.o \
        NodeTrimmedSurface.o \
        NodeTwoSidedMaterial.o \
        NodeUniversalJoint.o \
	NodeViewpoint.o \
        NodeViewpointGroup.o \
        NodeViewport.o \
	NodeVisibilitySensor.o \
        NodeVolumeEmitter.o \
        NodeVolumePickSensor.o \
        NodeWindPhysicsModel.o \
        NodeEdgeEnhancementVolumeStyle.o \
        NodeIsoSurfaceVolumeData.o \
        NodeOpacityMapVolumeStyle.o \
        NodeSegmentedVolumeData.o \
        NodeShadedVolumeStyle.o \
        NodeSilhouetteEnhancementVolumeStyle.o \
        NodeToneMappedVolumeStyle.o \
        NodeVolumeData.o \
	NodeWorldInfo.o \
        NodeComment.o \
        NodeImport.o \
        NodeExport.o

EXTRACLASSES = \
        NodeSuperEllipsoid.o \
	NodeVrmlCut.o \
        NodeGeneratedShadowMap.o \
        NodeMatrixTransform.o \
        NodeMultiGeneratedTextureCoordinate.o \
        NodeRenderedTexture.o \
        NodeSuperShape.o \
	NodeVrmlScene.o \
	NodeKambiAppearance.o \
	NodeKambiHeadLight.o \
        NodeKambiInline.o \
        NodeKambiNavigationInfo.o \
        NodeKambiOctreeProperties.o \
	NodeKambiTriangulation.o \
	NodeProjectedTextureCoordinate.o \
        NodeSuperRevolver.o \
        NodeScreenEffect.o \
        NodeTeapot.o \
	NodeText3D.o \
        NodeShaderTexture.o \
        NodeVectorInterpolator.o \
        NodeCurveAnimation.o \
        NodeSuperExtrusion.o \
	NodeCOVER.o \
	NodeSpaceSensor.o \
	NodeCubeTexture.o \
	NodeWave.o \
        NodeJoystickSensor.o \
        NodeLabView.o \
        NodeSteeringWheel.o \
        NodeVehicle.o \
        NodeARSensor.o \
        NodeSky.o \
        NodeTUIButton.o \
        NodeTUIComboBox.o \
        NodeTUIFloatSlider.o \
        NodeTUIFrame.o \
        NodeTUILabel.o \
        NodeTUIListBox.o \
        NodeTUIMap.o \
        NodeTUIProgressBar.o \
        NodeTUISlider.o \
        NodeTUISplitter.o \
        NodeTUITab.o \
        NodeTUITabFolder.o \
        NodeTUIToggleButton.o \
        NodeVirtualAcoustics.o \
        NodeVirtualSoundSource.o \
        NodeCubicBezier2DOrientationInterpolator.o \
        NodeCubicBezierPositionInterpolator.o \
        NodeBlendMode.o \
        NodeColorSetInterpolator.o \
        NodeEffect.o \
        NodeEffectPart.o \
        NodeBinaryGeometry.o \
        NodeBlock.o \
        NodeColorMaskMode.o \
        NodeDepthMode.o \
        NodeDish.o \
        NodeDynamicLOD.o \
        NodeEnvironment.o \
        NodeExternalGeometry.o \
        NodeField.o \
        NodeImageGeometry.o \
        NodeImageTextureAtlas.o \
        NodeNozzle.o \
        NodeMesh.o \
        NodeMPRVolumeStyle.o \
        NodeMultiPart.o \
        NodeParam.o \
        NodeParticleSet.o \
        NodePlane.o \
        NodePopGeometry.o \
        NodePopGeometryLevel.o \
        NodePyramid.o \
        NodeRadarVolumeStyle.o \
        NodeRectangularTorus.o \
        NodeRefinementTexture.o \
        NodeRemoteSelectionGroup.o \
        NodeSlopedCylinder.o \
        NodeSnout.o \
        NodeSolidOfRevolution.o \
        NodeSphereSegment.o \
        NodeStippleVolumeStyle.o \
        NodeSurfaceShaderTexture.o \
        NodeTorus.o \
        NodeUniform.o \
        NodeViewfrustum.o \
        NodeCattExportRec.o \
        NodeCattExportSrc.o \
        NodeLdrawDatExport.o \
        NodeWonderlandImportJava.o

NODEPARENTCLASSES = \
        BasicTransformNode.o \
        TransformNode.o \
        DynamicFieldsNode.o \
        GeoNode.o \
        GroupNode.o \
        StaticGroupNode.o \
        MeshBasedNode.o \
        MeshMorphingNode.o \
        ChainBasedNode.o \
        EmitterNode.o \
        GeometryNode.o \
        IndexedTriangleSetNode.o \
        X3DNBodyCollidableNode.o \
        X3DNBodyCollisionSpaceNode.o \
        X3DRigidJointNode.o \

=== test/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

JAVA=echo

tests: dune slowtests testzeroclass fasttests

dune:
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS

slowtests: dune
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS FilesMissingInWindowsProjects.o

fasttests: dune
	rm -rf ../src/NONE
	sh testtabs.sh
	sh testresourcenumbers.sh
	sh testmenus.sh
	@echo no bmptopnm: can not compare iconsize of  node_icons.bmp node_icons2.bmp
	@echo no bmptopnm: can not compare iconsize of  standard_toolbar.bmp standard_toolbar2.bmp
	@echo no bmptopnm: can not compare iconsize of  vcr.bmp vcr2.bmp
	sh testprotos.sh > testprotos.cpp
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS testprotos
	./dune_testprotos
	rm -f ./dune_testprotos ./dune_testprotos.exe testprotos.cpp
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS selftest
	./dune_selftest > allNodesTest.cpp
	./dune_selftest -x3d > allNodesTestX3d.cpp
	./dune_selftest -x3dom > allNodesTestX3dom.cpp
	./dune_selftest -kambi > allNodesTestKambi.cpp
	./dune_selftest -cover > allNodesTestCover.cpp
	rm -f ./dune_selftest dune_selftest.exe
	sh -c "cd ../src;ls Node*.h | \
             awk '{print \"#include \\\"\" \$$0 \"\\\"\"}' > ../test/AllNodes.h"
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS allNodesTest
	./dune_allNodesTest > allNodesTest.wrl
	rm -f dune_allNodesTest dune_allNodesTest.exe
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS allNodesTestX3d
	./dune_allNodesTestX3d > allNodesTestX3d.x3dv
	cp allNodesTestX3d.x3dv /tmp
	rm -f dune_allNodesTestX3d dune_allNodesTestX3d.exe
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS allNodesTestCover
	./dune_allNodesTestCover > allNodesTestCover.wrl
	rm -f dune_allNodesTestCover dune_allNodesTestCover.exe
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS allNodesTestKambi
	./dune_allNodesTestKambi > allNodesTestKambi.wrl
	rm -f dune_allNodesTestX3dom dune_allNodesTestX3dom.exe
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS allNodesTestX3dom
	./dune_allNodesTestX3dom > allNodesTestX3dom.wrl
	rm -f dune_allNodesTestX3dom dune_allNodesTestX3dom.exe
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS selftest
	./dune_selftest allNodesTestX3d.x3dv 2>/dev/null >/dev/null
	$(MAKE) clean
	cd ../src/swt && $(MAKE) $$DUNEMAKEFLAGS test
	cd ../src/swt && $(MAKE) $$DUNEMAKEFLAGS testclean
	$(MAKE) export_source_test
	echo all tests passed

export_source_test: dune
	cd .. && $(MAKE)
	cd ../docs/export_example_c/simple_example && $(MAKE)
	../docs/export_example_c/simple_example/helloWorld
	cd ../docs/export_example_c/simple_example && $(MAKE) clean
	cd ../docs/export_example_c++/simple_example && $(MAKE)
	../docs/export_example_c++/simple_example/helloWorld
	cd ../docs/export_example_c++/simple_example && $(MAKE) clean
	cd ../docs/export_example_java/simple_example && $(MAKE)
	cd ../docs/export_example_java/simple_example && $(JAVA) -cp classes helloWorld
	cd ../docs/export_example_java/simple_example && $(MAKE) clean

realclean: clean
	rm -f /tmp/allNodesTestX3d.x3dv

clean:
	rm -f dune_selftest dune_selftest.exe \
              printFieldType printFieldType.exe \
              printNodeType printNodeType.exe \
              printFieldNumber printFieldNumber.exe \
	      *allNodesTest* ../src/allNodesTest* AllNodes.h \
	      dune_testprotos dune_testprotos.exe testprotos.cpp \
	      testzeroclass testzeroclass.exe testzeroclass.cpp

testzeroclass: dune
	sh testzeroclass.sh > testzeroclass.cpp
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS testzeroclass
	./testzeroclass

printFieldType: dune
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS ../test/printFieldType

printNodeType: dune
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS ../test/printNodeType

printFieldNumber: dune
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS ../test/printFieldNumber

=== warbird/Makefile ===
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

INCLUDE_DIR=../include

warbird: C++Export.cc warbird.cpp 
	g++ -g -o $@ -I. -I$(INCLUDE_DIR) -Wno-narrowing warbird.cpp \
        -DPICTURE_PATH=\"`echo $$PWD/`\" -lglut -lGLU -lGL \
        -ljpeg -lpng

# set special picture path for Fedora OpenGL example binary
warbird_with_picture_path: C++Export.cc warbird.cpp
	g++ -g -fPIE $(CXXFLAGS) -Wno-unused-variable -Wno-dangling-else \
            -Wno-sign-compare -Wno-narrowing -Wno-unused-but-set-variable \
            $(LDFLAGS) -o $@ -I. -I$(INCLUDE_DIR) warbird.cpp \
            -DPICTURE_PATH=\"/usr/share/white_dune/opengl_example/\" \
            -lglut -lGLU -lGL -lXmu -lX11 -ljpeg -lpng

clean:
	rm -f C++Export.cc warbird warbird_with_picture_path core

C++Export.cc: warbird.wrl
	(../bin/dune -c++ warbird.wrl > C++Export.cc) || \
	dune -c++ warbird.wrl > C++Export.cc

=== docs/export_example_c++/Makefile ===
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

all:
	(cd simple_example && make)
	(cd opengl_example && make)
	(cd opengl_scripting_example && make)
	(cd qt_opengl_example && qmake && make)

clean:
	(cd simple_example && make clean)
	(cd opengl_example && make clean)
	if test -x `which dune`; then (cd opengl_scripting_example && make clean); fi
	rm -f qt_opengl_example/C++Export.cc
	rm -f qt_opengl_example/qt_opengl_example
	rm -rf build-qt_opengl_example-Desktop-Debug
	rm -f qt_opengl_example/.qmake.stash
	if test -x /usr/lib/qt5/bin/qmake ; then (cd qt_opengl_example && make clean); fi
	rm -f build-qt_opengl_example-Desktop-Debug/*

=== docs/export_example_c/Makefile ===
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

all:
	(cd simple_example && make)
	(cd opengl_example && make)
	(cd opengl_scripting_example && make)

clean:
	(cd simple_example && make clean)
	(cd opengl_example && make clean)
	(cd opengl_scripting_example && make clean)

=== docs/export_example_java/Makefile ===
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

all:
	(cd simple_example && make)
	(cd jogl_example && make)
	(cd jogl_simple_scripting_example && make)

clean:
	(cd simple_example && make clean)
	(cd jogl_example && make clean)
	(cd jogl_simple_scripting_example && make clean)

=== docs/hanim_history/Makefile ===
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

all: gehmess.x3dv
	echo "#X3D V3.0 utf8" > gehmess_proto.x3dv
	echo PROFILE Immersive >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	echo "# human animation x3dv PROTO based on gehmess.wrl" >> gehmess_proto.x3dv
	echo "#    copyright (c) 1999 by Guido Kramann" >> gehmess_proto.x3dv
	echo "#    This program was developed by Guido Kramann in the DYNAMICUS-project of" >> gehmess_proto.x3dv
	echo "#    the ICA2 at University of Stuttgart in 1999" >> gehmess_proto.x3dv
	echo "#" >> gehmess_proto.x3dv
	echo "#    see also:" >> gehmess_proto.x3dv
	echo "#    http://129.69.35.12/vrml/vrml_dynamikus.html" >> gehmess_proto.x3dv
	echo "#    http://www.csv.ica.uni-stuttgart.de/projects/rsyst/project-dynamikus.html" >> gehmess_proto.x3dv
	echo "#    \"Simulation und Animation natuerlicher Fortbewegungsarten des Menschen unter Verwendung der inversen Dynamik\"" >> gehmess_proto.x3dv
	echo "#    ISSN 0941-4665 Oktober 2000 RUS-48" >> gehmess_proto.x3dv
	echo "#" >> gehmess_proto.x3dv
	echo "#    This program is free software; you can redistribute it and/or modify" >> gehmess_proto.x3dv
	echo "#    it under the terms of the GNU General Public License as published by" >> gehmess_proto.x3dv
	echo "#    the Free Software Foundation; either version 2 of the License, or" >> gehmess_proto.x3dv
	echo "#    (at your option) any later version." >> gehmess_proto.x3dv
	echo "#    This program is distributed in the hope that it will be useful," >> gehmess_proto.x3dv
	echo "#    but WITHOUT ANY WARRANTY; without even the implied warranty of" >> gehmess_proto.x3dv
	echo "#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the" >> gehmess_proto.x3dv
	echo "#    GNU General Public License for more details." >> gehmess_proto.x3dv
	echo "#" >> gehmess_proto.x3dv
	echo "#    You should have received a copy of the GNU General Public License" >> gehmess_proto.x3dv
	echo "#    along with this program; if not, write to the Free Software" >> gehmess_proto.x3dv
	echo "#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA" >> gehmess_proto.x3dv
	echo "#" >> gehmess_proto.x3dv
	echo "PROTO GEH_MESS [" >> gehmess_proto.x3dv
	echo "  outputOnly SFFloat fraction_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation vl5_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation l_hip_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation r_hip_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation l_knee_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation r_knee_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation l_ankle_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation r_ankle_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation thorax_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation l_shoulder_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation r_shoulder_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation l_elbow_rotation_changed" >> gehmess_proto.x3dv
	echo "  outputOnly SFRotation r_elbow_rotation_changed" >> gehmess_proto.x3dv
	echo "]" >> gehmess_proto.x3dv
	echo "{" >> gehmess_proto.x3dv
	echo "  DEF TIMER TimeSensor {" >> gehmess_proto.x3dv
	echo "     loop TRUE" >> gehmess_proto.x3dv
	echo "     cycleInterval 8" >> gehmess_proto.x3dv
	echo "     fraction_changed IS fraction_changed ">> gehmess_proto.x3dv
	echo "  }" >> gehmess_proto.x3dv
	awk -f build.awk -v name="HUEFTE._R" -v is="vl5_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO HUEFTE_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="FEML._R" -v is="l_hip_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO FEML_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="FEMR._R" -v is="r_hip_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO FEMR_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="CRUL_R" -v is="l_knee_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO CRUL_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="CRUR_R" -v is="r_knee_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO CRUR_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="PEDR_R" -v is="r_ankle_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO PEDR_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="PEDL_R" -v is="l_ankle_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO PEDL_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="THO._R" -v is="thorax_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO THO_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="BRAL._R" -v is="l_shoulder_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO BRAL_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="BRAR._R" -v is="r_shoulder_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO BRAR_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="ANTL_R" -v is="l_elbow_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO ANTL_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	awk -f build.awk -v name="ANTR_R" -v is="r_elbow_rotation_changed" gehmess.x3dv >> gehmess_proto.x3dv 
	echo >> gehmess_proto.x3dv
	echo "ROUTE TIMER.fraction_changed TO ANTL_R.set_fraction" >> gehmess_proto.x3dv
	echo >> gehmess_proto.x3dv
	echo "}" >> gehmess_proto.x3dv

=== packager/archlinux/Makefile ===
clean:
	rm -rf pkg wdune-1* src/*

=== packager/freebsd/Makefile ===
# ex:ts=8
# Ports collection makefile for:	white_dune
# Date created:			Apr 12, 2002
# Whom:				ijliao
#
# $FreeBSD: ports/graphics/white_dune/Makefile,v 1.1 2002/04/11 19:25:29 ijliao Exp $
#

PORTNAME=	white_dune
PORTVERSION=	0.20b186
CATEGORIES=	graphics
MASTER_SITES=	http://wdune.ourproject.org/
DISTNAME=	${PORTNAME}-${PORTVERSION:S/b/beta/}

MAINTAINER=	ports@FreeBSD.org

LIB_DEPENDS=	png:${PORTSDIR}/graphics/png \
		jpeg:${PORTSDIR}/graphics/jpeg \
                lesstif:${PORTSDIR}/x11-toolkits/lesstif \
                mesa3:${PORTSDIR}/graphics/Mesa3

# libsball not in ports yet...

USE_BISON=	yes
USE_MESA=	yes
USE_MOTIF=	yes
GNU_CONFIGURE=	yes
ALL_TARGET=	# empty

MAN1=	man/dune.1

post-patch:
	echo nothing to do yet

do-install:
	${INSTALL_PROGRAM} ${WRKSRC}/dune ${PREFIX}/bin
	${INSTALL_PROGRAM} ${WRKSRC}/dune4kids ${PREFIX}/bin
	${INSTALL_MAN} ${WRKSRC}/${MAN1} ${MAN1PREFIX}/man/man1
.if !defined(NOPORTDOCS)
	@${MKDIR} ${DOCSDIR}
	${CP} -R ${WRKSRC}/docs/* ${DOCSDIR}
.endif

.include <bsd.port.mk>

=== packager/slackware/Makefile ===
clean:
	rm -f white_dune/wdune*.tar.bz2

=== packager/debian/changelog ===
whitedune (1.876-1) experimental; urgency=low

  * Version 1.876 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 01 May 2020 04:06:24 +0200

whitedune (1.874-1) experimental; urgency=low

  * Version 1.874 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Thu, 12 Mar 2020 22:31:16 +0100

whitedune (1.822-1) experimental; urgency=low

  * Version 1.822 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Mon, 02 Mar 2020 16:29:35 +0100

whitedune (1.819-1) experimental; urgency=low

  * Version 1.819 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Mon, 02 Mar 2020 00:39:48 +0100

whitedune (1.814-1) experimental; urgency=low

  * Version 1.814 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sun, 01 Mar 2020 05:08:39 +0100

whitedune (1.808-1) experimental; urgency=low

  * Version 1.808 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sat, 29 Feb 2020 03:33:01 +0100

whitedune (1.804-1) experimental; urgency=low

  * Version 1.804 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Thu, 27 Feb 2020 17:50:26 +0100

whitedune (1.790-1) experimental; urgency=low

  * Version 1.790 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Tue, 25 Feb 2020 22:13:21 +0100

whitedune (1.789-1) experimental; urgency=low

  * Version 1.789 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Tue, 25 Feb 2020 09:33:12 +0100

whitedune (1.777-1) experimental; urgency=low

  * Version 1.777 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sun, 23 Feb 2020 01:31:55 +0100

whitedune (1.770-1) experimental; urgency=low

  * Version 1.770 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sat, 22 Feb 2020 17:05:17 +0100

whitedune (1.765-1) experimental; urgency=low

  * Version 1.765 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 21 Feb 2020 08:25:12 +0100

whitedune (1.758-1) experimental; urgency=low

  * Version 1.758 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Tue, 18 Feb 2020 21:11:04 +0100

whitedune (1.750-1) experimental; urgency=low

  * Version 1.750 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sat, 15 Feb 2020 07:15:07 +0100

whitedune (1.748-1) experimental; urgency=low

  * Version 1.748 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 14 Feb 2020 21:18:28 +0100

whitedune (1.746-1) experimental; urgency=low

  * Version 1.746 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 14 Feb 2020 03:37:24 +0100

whitedune (1.734-1) experimental; urgency=low

  * Version 1.734 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Mon, 10 Feb 2020 07:54:18 +0100

whitedune (1.728-1) experimental; urgency=low

  * Version 1.728 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sun, 09 Feb 2020 05:25:05 +0100

whitedune (1.717-1) experimental; urgency=low

  * Version 1.717 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Thu, 06 Feb 2020 09:49:31 +0100

whitedune (1.710-1) experimental; urgency=low

  * Version 1.710 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sun, 02 Feb 2020 16:12:40 +0100

whitedune (1.708-1) experimental; urgency=low

  * Version 1.708 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 31 Jan 2020 21:41:53 +0100

whitedune (1.706-1) experimental; urgency=low

  * Version 1.706 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 31 Jan 2020 05:38:45 +0100

whitedune (1.700-1) experimental; urgency=low

  * Version 1.700 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Wed, 29 Jan 2020 06:24:55 +0100

whitedune (1.694-1) experimental; urgency=low

  * Version 1.694 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Thu, 23 Jan 2020 21:54:01 +0100

whitedune (1.686-1) experimental; urgency=low

  * Version 1.686 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Tue, 21 Jan 2020 14:43:31 +0100

whitedune (1.654-1) experimental; urgency=low

  * Version 1.654 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti@csv.ica.uni-stuttgart.de>  Mon, 23 Dec 2019 16:32:06 +0100

whitedune (1.646-1) experimental; urgency=low

  * Version 1.646 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti@csv.ica.uni-stuttgart.de>  Mon, 25 Nov 2019 22:06:59 +0100

whitedune (1.642-1) experimental; urgency=low

  * Version 1.642 debian package
    For details see the README file of the source package



=== packager/archlinux/PKGBUILD ===
# Maintainer: J. Scheurich <mufti11@web.de>
pkgname=wdune
pkgver=1.876
pkgrel=1
epoch=
pkgdesc="white_dune X3D/VRML97 tool"
arch=()
url="ftp://ftp.ourproject.org/pub/wdune/$pkgname-$pkgver.tar.bz2"
license=('GPL')
groups=()
depends=(xorg-fonts-misc
         xorg-fonts-alias
)
makedepends=(gcc
             fakeroot
             glu 
             mesa 
             libx11 
             libxt 
             libxmu 
             libxext
             libxi
             libxp
             openmotif
             libpng 
             libjpeg-turbo
             zlib
             expat
             ffmpeg
             opensubdiv
             gcc
             flex
             bison
             gawk
             m4
             make
             git
             xdg-utils
             gedit
             lxterminal
             gimp
             audacity
             kolourpaint
             imagemagick
             netpbm
             freeglut
             jdk8-openjdk
             cgal
             boost
             curl
             freetype2
             ttf-bitstream-vera             
)
checkdepends=()
optdepends=()
provides=()
conflicts=()
replaces=()
backup=()
options=()
install=
changelog=
source=("$pkgname-$pkgver.tar.bz2")
noextract=()
md5sums=('2408e5ee012d9ae3a0df9d1857149867')
validpgpkeys=()

build() {
	cd "$pkgname-$pkgver"
	./configure --prefix=/usr --without-devil --with-uninstallcomment="pacman -R white_dune" --with-optimization --with-helpurl="/usr/share/doc/$name/docs" --with-protobaseurl="/usr/share/doc/$name/docs" --with-checkincommand="ci" 
        make
}

package() {
	cd "$pkgname-$pkgver"
        install -Dm755 bin/dune $pkgdir/usr/bin/dune 
        install -Dm755 tools/run_dune_and_aqsis.sh $pkgdir/usr/bin/run_dune_and_aqsis.sh 
        mkdir -p "$pkgdir/usr/share/doc/$name/docs"
        cp -r "docs" "$pkgdir/usr/share/doc/$name/"
        install -Dm644 desktop/kde/dune.desktop $pkgdir/usr/share/applications/dune.desktop
	install -Dm644 desktop/kde/dune.png $pkgdir/usr/share/pixmaps/dune.png
	install -Dm644 desktop/kde/dune4kids.desktop $pkgdir/usr/share/applications/dune4kids.desktop
	install -Dm644 desktop/kde/dune4kids.png $pkgdir/usr/share/pixmaps/dune4kids.png
	install -Dm644 include/white_dune/libC++RWD_namespace.h $pkgdir/usr/include/white_dune/libC++RWD_namespace.h
	install -Dm644 include/white_dune/libC++RWD.h $pkgdir/usr/include/white_dune/libC++RWD.h
	install -Dm644 include/white_dune/libCRWD.h $pkgdir/usr/include/white_dune/libCRWD.h
}

=== packager/debian/control ===
Source: whitedune
Section: graphics
Priority: optional
Maintainer: J. "MUFTI" Scheurich <mufti11@web.de>
Build-Depends: debhelper (>= 5), make, bison, flex, gawk, m4, x11proto-core-dev, libexpat1-dev, libxmu-dev, x-dev, libxi-dev, libgl-dev|libgl1-mesa-dev, libglu1-xorg-dev|libglu1-mesa-dev, libmotif-dev|lesstif-dev|lesstif2-dev, libpng-dev|libpng12-dev, libjpeg62-dev, g++, gcc, libusb-devlib, libcurl4-openssl-dev, aqsis, libfreetype6-dev, ttf-bitstream-vera, libcgal-dev, libimlib2-dev

Package: whitedune
Architecture: any
Depends: gimp, gpaint, audacity, gedit, git, lxterminal, imagemagick, aqsis, ttf-bitstream-vera, xfonts-base, view3dscene, mencoder, freeglut3-dev
Suggests: freewrl, meshlab, wings3d
Description: Graphical X3D/VRML97 editor, simple NURBS/Superformula 3D modeller and  animation tool
 white_dune is:
 - a graphical editor to load/create/store X3D/VRML97 files
 - a simple NURBS/Superformula/Subdivision based 3D modeller
 - a 3D animation tool
 - a commandline X3D/VRML97 compiler in development
 - a program with (currently) 3 different GUIs
 - a program for beginners/children to create their first 3D animation ("-4kids")
 - a tool (and examples) that supports you in learning X3D or VRML97
 - a tool to load static/animated X3D/VRML97 files (directly or via "Inline"
   commands) created by programs like maya, 3D Studio MAX, Cinema4D, blender, 
   wings3d, art of illusion etc. and add interaction/scripting 
 - a tool to manipulate 3D data with 3D input devices (e.g. joystick/spaceball)
 - a tool to view 3D data with quadbuffer stereoview (e.g. shutterglases)
 - a open framework to create or process 3D data and store it as a ISO standard

=== packager/debian/rules ===
#!/usr/bin/make -f
# debian/rules file for white-dune
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=wdune

build:
	$(checkdir)
	./configure --with-debian --with-optimization --prefix=/usr --with-cgalheaders --with-uninstallcomment="dpkg -P wdune" --without-devil --with-helpurl="/usr/share/doc/$(package)-docs/docs" --with-protobaseurl="/usr/share/doc/$(package)-docs/docs" --with-vrmlbrowser=view3dscene --with-checkincommand="ci" --with-x11-editor="gedit" --with-imageeditor="gimp" --with-imageeditor4kids="gpaint" --with-soundeditor=audacity
	$(MAKE) -j4
	touch build

clean:
	$(checkdir)
	rm -f build
	-$(MAKE) -i realclean
	rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN \
                -d debian/tmp/usr/bin/ \
		-d debian/tmp/usr/include/white_dune \
		-d debian/tmp/usr/share/doc/$(package) \
		-d debian/tmp/usr/share/applications \
		-d debian/tmp/usr/share/pixmaps \
		-d debian/tmp/usr/share/man/man1 \
		-d debian/tmp/usr/lib/menu
	install -m 755 debian/postinst debian/prerm debian/tmp/DEBIAN
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL_PROGRAM='install -c' \
		prefix=$$(pwd)/debian/tmp/usr install
	cp -a debian/copyright debian/tmp/usr/share/doc/$(package)
	cp -a debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	cd debian/tmp/usr/share/doc/$(package) && gzip -9v changelog.Debian
	cp -ar docs debian/tmp/usr/share/doc/$(package)
	find debian/tmp/usr/share/doc/$(package) -type f -print | xargs chmod 644
	cp -a man/dune.1 debian/tmp/usr/share/man/man1
	gzip -9 debian/tmp/usr/share/man/man1/dune.1
	cp -a desktop/kde/dune.desktop debian/tmp/usr/share/applications
	cp -a desktop/kde/dune.png debian/tmp/usr/share/pixmaps
	cp -a desktop/kde/dune4kids.desktop debian/tmp/usr/share/applications
	cp -a desktop/kde/dune4kids.png debian/tmp/usr/share/pixmaps
	cp -a desktop/debian/dune.xpm debian/tmp/usr/share/pixmaps
	cp -a packager/debian/menu debian/tmp/usr/lib/menu/white_dune
	dpkg-shlibdeps bin/dune
	install tools/run_dune_and_aqsis.sh debian/tmp/usr/usr/bin/ 
	install -m 644 -p include/white_dune/libC++RWD.h  debian/tmp/usr/include/white_dune/libC++RWD.h
	install -m 644 -p include/white_dune/libC++RWD_namespace.h  debian/tmp/usr/include/white_dune/libC++RWD_namespace.h
	install -m 644 -p include/white_dune/libCRWD.h  debian/tmp/usr/include/white_dune/libCRWD.h
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
#	dpkg --build debian/tmp ..

define checkdir
	test -f src/main.cpp -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch 

checkroot:
	$(checkdir)
#	test $$(id -u) = 0

wdune-docs: 
	dh_testdir
	dh_installdirs  -p$@
	dh_installdocs  -p$@
	dh_installman  -p$@
	dh_fixperms  -p$@
	dh_makeshlibs -p$@
	dh_installdeb  -p$@
	dh_gencontrol  -p$@
	dh_md5sums  -p$@
	dh_builddeb  -p$@

wdune: binary-arch
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep  -p$@
	dh_installdirs  -p$@
	dh_link  -p$@
	dh_compress  -p$@
	dh_fixperms  -p$@
	dh_makeshlibs -p$@
	dh_installdeb  -p$@
	dh_gencontrol  -p$@
	dh_md5sums  -p$@
	dh_builddeb  -p$@
	dh_install -p$@

.PHONY: binary binary-arch binary-indep clean checkroot
